Subject: [bug#77867] [PATCH] gnu: nghttp3: Update to 1.9.0.

From: Andreas Enge <[email-masked]>
Date: Thu, 1 May 2025 18:51:32 +0200

Hello Tomas,

Am Thu, May 01, 2025 at 04:11:24PM +0200 schrieb Tomas Volf:
> I took a look and I am not cure what is going on.  It builds locally for
> me:
> --8<---------------cut here---------------start------------->8---
> $ guix-dev-shell -- ./pre-inst-env guix build libnode
> /gnu/store/1jclfmy3h15y9k2gjgvkhc7xmb7mlhir-libnode-22.14.0
> --8<---------------cut here---------------end--------------->8---

ah, okay.

> I have tried to find the build logs based on the link you have provided,
> but after clicking through the builds here[0], I am getting 404 for all
> of them.  Would you know how can I find what went wrong with the build?

We had a problem with too many log files, so "hid" some of them as a
stop-gap measure. I am attaching what should be served as
   https://bordeaux.guix.gnu.org/build/93bfdf00-ae56-4b33-8f54-f8dbfd26fc74/log

There is a test failure; to summarise:
not ok 3934 parallel/test-runner-watch-mode
  ---
  duration_ms: 48327.15500
  severity: fail
  exitcode: 1
  stack: |-
    TAP version 13
...
            # Subtest: should run new tests when a new file is created in the watched directory
            not ok 7 - should run new tests when a new file is created in the watched directory # TODO This test is failing when isolation is set to none and must be fixed
              ---
              duration_ms: 4257.199081
              location: '/tmp/guix-build-libnode-22.14.0.drv-0/node-v22.14.0/test/parallel/test-runner-watch-mode.mjs:195:7'
              failureType: 'testCodeFailure'

The TODO is suspicious; maybe this test should actually be disabled?
To discuss with node people, maybe; I am cc-ing the javascript team.

Andreas